import java.util.Random;

public class COPThread implements Runnable {

	String name;
	COPMain copmain;
	Random random = new Random();

	public COPThread(String name, COPMain copmain) {
		super();
		this.name = name;
		this.copmain = copmain;
	}

	@Override
	public void run() {
		while (true) {
			activity();
			int st = random.nextInt(500);
			try {
				Thread.sleep(st);
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		}
	}

	public void activity() {
		// try {
		// copmain.semaphore.acquire();
		// } catch (InterruptedException e1) {
		// e1.printStackTrace();
		// }
		synchronized (copmain) {
			TextUi.println("start " + name);
			int st = random.nextInt(500);
			try {
				Thread.sleep(st);
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
			TextUi.println("end " + name);
		}
		// copmain.semaphore.release();
	}
}
